Conversation Between ayoo and llr
1 to 1 of 1
  1. llr
    April 27th, 2015 4:40 AM
    llr
    Yes to play any of the official games you need a 3DS or a 2DS.
    I know there are emulators , I don't know anything else about them.